/* absolute path to images is required to make crm-sale proxy work */

.bx-sls .dropdown-block {
	border: 1px solid #bdbdbd;
	border-radius: 2px;
	-webkit-box-shadow: inset 0 1px 2px #ebebeb;
	box-shadow: inset 0 1px 2px #ebebeb;
	font-size: 14px;
	padding: 0 22px 0 30px;
	position: relative;
	background-color: #fff;
}

.bx-sls .dropdown-block-ui {
	font-size: 14px;
	padding: 0 22px 0 30px;
	position: relative;
	background-color: #fff;
	margin-top: 5px;
}

.bx-sls .dropdown-arrow {
	background: url(/bitrix/components/bitrix/sale.location.selector.search/templates/.default/images/dropdown-errow.png) no-repeat center center;
	height: 100%;
	top: 0;
	right: 0;
	position: absolute;
	width: 22px;
}

.bx-sls .bx-ui-sls-container {
	overflow: hidden;
	min-height:50px;
}

.bx-sls .bx-ui-sls-pane {
	border: 1px solid #bdbdbd;
	border-radius: 2px;
	-webkit-box-shadow: 0 2px 3px #c7c7c7;
	box-shadow: 0 2px 3px #c7c7c7;
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	box-sizing: border-box;
	display: none;
	max-height: 200px;
	overflow-y: auto;
	left: 0;
	top: 50px;
	padding: 5px 5px 3px 5px;
	position: absolute;
	width: 100%;
}

.bx-sls .dropdown-active .bx-ui-sls-pane {
	display: block;
}

.bx-sls .bx-ui-sls-variants {
	list-style: none;
	margin: 0;
	padding: 0;
}

.bx-sls .dropdown-item {
	border-radius: 2px;
	padding: 7px 4px 7px 10px;
	margin-bottom: 2px;
}

.bx-sls .dropdown-item:hover {
	background-color: #f1f3f5;
	cursor: pointer;
}

.bx-sls .dropdown-img {
	border: none;
	display: inline-block;
	height: 12px;
	margin: 3px 12px 0 0;
	vertical-align: top;
	width: 16px;
}

.bx-sls .dropdown-item-text {
	/*makeup:color: #212121;*/
	color: #aba8ac;
	display: inline-block;
	/*max-width: 220px;*/ /*silly limitation*/
	vertical-align: top;
}

.bx-sls .dropdown-item-text span{
	color: #25282c;
}

.bx-sls .dropdown-list-title {
	border-bottom: 1px solid #e5e5e5;
	height: 37px;
	line-height: 37px;
	padding-left: 8px;
}

.bx-sls .dropdown-icon {
	background: url(/bitrix/components/bitrix/sale.location.selector.search/templates/.default/images/lens.png) no-repeat center center;
	height: 14px;
	left: 10px;
	position: absolute;
	top: 18px;
	width: 14px;
}

.bx-sls .quick-locations{
	margin-bottom: 5px;
}
.bx-sls .quick-location-tag {
	background-color: #f2f5f8;
	border: 1px solid #cad3dc;
	border-radius: 3px;
	color: #1e55b9;
	display: inline-block;
	font-size: 15px;
	height: 27px;
	line-height: 26px;
	margin: 0 3px;
	padding: 0 14px;
	text-decoration: none;
	margin-bottom: 10px;
}
.bx-sls .quick-location-tag:hover{
	background-color: #fafafa;
}

.bx-sls .dropdown-fade2white{
	width: 46px;
	height: 31px;
	position: absolute;
	top: 2px;
	right: 0;

	background: -moz-linear-gradient(left, rgba(255,255,255,0) 0%, rgba(255,255,255,1) 30%);
	background: -webkit-gradient(linear, left top, right top, color-stop(0%,rgba(255,255,255,0)), color-stop(30%,rgba(255,255,255,1)));
	background: -webkit-linear-gradient(left, rgba(255,255,255,0) 0%,rgba(255,255,255,1) 30%);
	background: -o-linear-gradient(left, rgba(255,255,255,0) 0%,rgba(255,255,255,1) 30%);
	background: -ms-linear-gradient(left, rgba(255,255,255,0) 0%,rgba(255,255,255,1) 30%);
	background: linear-gradient(to right, rgba(255,255,255,0) 0%,rgba(255,255,255,1) 30%);
	filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#00ffffff', endColorstr='#ffffff',GradientType=1 );
}

.bx-sls .bx-ui-sls-clear{
	background: url(/bitrix/panel/main/images/bx-admin-sprite-small.png) 6px -3386px no-repeat scroll;
	width: 30px;
	height: 30px;
	cursor: pointer;
	cursor: hand;
	margin-top: 11px;

	position: absolute;
	top: 0px;
	right: 0px;
	display: block;
}
.bx-sls .bx-ui-sls-clear:hover{
	background-position: 6px -3418px;
}

.bx-sls .bx-ui-sls-loader{
	background-image: url(/bitrix/panel/main/images/waiter-white.gif) !important;
	background-repeat: no-repeat !important;
	background-position: right -1px !important;

	width: 30px;
	height: 30px;

	position: absolute;
	top: 3px;
	right: 2px;
	display: none;
}

.bx-sls .bx-ui-sls-go-edit{
	display: none;
}

.bx-sls .bx-ui-sls-pane{
	max-height: 300px;
}

.bx-sls input::-ms-clear {
	display: none;
}

.bx-sls input[type="text"]{
	position: relative;
}

.bx-sls .bx-ui-sls-fake,
.bx-sls .bx-ui-sls-route {
	position: absolute !important;
	top: 0;
	left: 0;

	color: #000 !important;

	opacity: 1 !important;
	background: transparent !important;
	border: none !important;
	box-shadow: none !important;

	padding:0 22px 0 0 !important;
	background-position: right 1px;
	background-repeat: no-repeat;

	font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
	font-size: 14px;
	height: 50px;
	width: 100%;
	outline: none;
	z-index:10;
}
.bx-sls .bx-ui-sls-route{
	color: #aba8ac !important;
	z-index:5;
}

.bx-sls .bx-ui-sls-pane{
	background-color: #fff;
	z-index: 999;
	border: 1px solid #87919c;
}

.bx-sls .bx-ui-sls-variants .bx-ui-sls-variant,
.bx-sls .bx-ui-sls-error{
	padding: 10px 10px;
}
.bx-sls .bx-ui-sls-error{
	color: #ff2222;
	padding-left: 30px;
	position: relative;
}
.bx-sls .bx-ui-sls-error div{
	position: absolute;
	top: 0px;
	left: 0px;
	width: 25px;
	height: 25px;
	background: url(/bitrix/panel/main/images/bx-admin-sprite-small.png) 6px -2895px no-repeat scroll;
}
.bx-sls .bx-ui-sls-variants .bx-ui-sls-variant:hover,
.bx-sls .bx-ui-sls-variant-active{
	background-color: #E0E8EA;
}

.adm-sls-edit-link{
	margin-top: 10px;
}

/* CSS-modes below: admin, public; */
.bx-admin-mode .bx-sls-go-edit{
	margin-left: 10px;
	display: none;
}

.bx-admin-mode .dropdown-block {
	border-color: #87919c #959ea9 #9ea7b1;
	border-radius: 4px;
	-webkit-box-shadow: 0 1px 0 0 rgba(255, 255, 255, 0.3), 0 2px 2px -1px rgba(180, 188, 191, 0.7) inset;
	box-shadow: 0 1px 0 0 rgba(255, 255, 255, 0.3), 0 2px 2px -1px rgba(180, 188, 191, 0.7) inset;
	height: 25px;
}

.bx-sls.bx-admin-mode .bx-ui-sls-fake,
.bx-sls.bx-admin-mode .bx-ui-sls-route {
	height: 25px;
}

.bx-admin-mode .dropdown-icon {
	top: 7px;
}

.bx-admin-mode .dropdown-fade2white {
	height: 22px;
}

.bx-admin-mode .dropdown-fade2white {
	right: 1px;
}

.bx-admin-mode .bx-ui-sls-clear {
	background-position: 6px -3389px;
	height: 22px;
}

.bx-admin-mode .bx-ui-sls-clear:hover{
	background-position: 6px -3421px;
}

.bx-admin-mode .bx-ui-sls-loader {
	background-position: right -4px !important;
	height: 21px;
}

.bx-admin-mode .bx-ui-sls-pane {
	top: 27px;
}